/*
 * Programmer:  Timothy E. Hoff
 * File Name:   log.h
 * Written:     July 5, 1996
 * Modified:
 * Description: This header declares macros and functions used
 *              to access log files.
 *
 * Copyright (c) 1996, Timothy E. Hoff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <sys/types.h>

/*
 * Function Declarations
 */
 
void log_error(int code, char *msg);
void log_access(char *pathname, char *login, char flag, char **argv);
int get_lock(int fd, int type, off_t start, short whence, off_t len);

#ifndef _H_LOG
#define _H_LOG

/*
 * Macros
 */
 
#define log_grant(pathname, login, argv) log_access(pathname, login, '+', argv)
#define log_deny(pathname, login, argv) log_access(pathname, login, '-', argv)

/*
 * Constants
 */

#define TIMEOUT 10

#endif /* _H_LOG */
