/*
 * Programmer:  Timothy E. Hoff
 * File Name:   sizes.h
 * Written:     July 4, 1996
 * Modified:
 * Description: This header defines size macros data used by sfw.
 *
 * Copyright (c) 1996, Timothy E. Hoff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <limits.h>
 
#ifndef _H_SIZES
#define _H_SIZES

#ifdef _POSIX_SOURCE
 
#define MAXPATHNAME _POSIX_PATH_MAX
#define MAXNAME _POSIX_NAME_MAX
#define MAXARGV _POSIX_ARG_MAX
#define MAXTOKEN _POSIX2_BC_STRING_MAX	1000
#define MAXLINE LINE_MAX
 
#elif defined _ALL_SOURCE
 
#define MAXPATHNAME PATH_MAX 
#ifdef NAME_MAX
#define MAXNAME NAME_MAX
#else
#define MAXNAME 255
#endif /* NAME_MAX */
#define MAXARGV ARG_MAX
#define MAXTOKEN 1024
#define MAXLINE 2048
#endif /* _POSIX_SOURCE */

#define MAX_ATTR MAXTOKEN
#define BUFSIZE MAXLINE
#define ENV_MAX_PATH MAXLINE
#define MAX_ADDRESS MAXLINE

#define MD5_SIZE 33

#define MAXLOGIN 32                 /* max length of login name */
#define MAXGROUP 32                 /* max length of group name */

#define MAXARGC 128                 /* max number of arguments */
#define MAXTTY  32                  /* max number of ttys */
#define MAXTTYV (MAXTTY * MAXNAME)  /* tty buffer */

#endif /* _H_SIZES */
